Summary:	Mostly vi-compatible text editor, with enhancements
Name:		vile
Version:	9.8m
Release:	1
License:	GPL+
Group:		Editors
Source0:	ftp://invisible-island.net/vile/current/%{name}-%{version}.tgz
Source1:	ftp://invisible-island.net/vile/current/%{name}-%{version}.tgz.asc
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://invisible-island.net/vile/
BuildRequires:	flex, make
BuildRequires:	libiconv >= 1.14-2
Requires:	libiconv >= 1.14-2

%description
vile is a text editor which is extremely compatible with vi in terms
of "finger feel".  in addition, it has extended capabilities in many areas,
notably multi-file editing and viewing, key rebinding, real X window
system support, an optional embedded perl interpreter, and robust
support for non-Unix hosts.


%prep
%setup -q 


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
gmake prefix=%{_prefix}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc README doc/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_libdir}/%{name}
/usr/bin/*


%changelog
* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 9.8m-1
- updated to version 9.8m

* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 9.8l-1
- updated to version 9.8l

* Tue Oct 08 2013 Michael Perzl <michael@perzl.org> - 9.8k-1
- updated to version 9.8k

* Tue Oct 08 2013 Michael Perzl <michael@perzl.org> - 9.8j-1
- updated to version 9.8j

* Fri Feb 22 2013 Michael Perzl <michael@perzl.org> - 9.8i-1
- updated to version 9.8i

* Mon Jun 13 2011 Michael Perzl <michael@perzl.org> - 9.8e-1
- updated to version 9.8e

* Mon Aug 09 2010 Michael Perzl <michael@perzl.org> - 9.8-1
- first version for AIX V5.1 and higher
